#!/usr/bin/python
# coding=utf-8
__author__ = "Aleksandr Shyshatsky"

DEBUG = 0
WARNING = 1
RELEASE = 2


# TODO: log levels
def log_method_calls(log_level):
    def real_log_method_calls(func):
        def decorated(*args):
            # disabled for production
            # print '[DEBUG]: {} called with {}'.format(func, args)
            return func(*args)
        return decorated
    return real_log_method_calls
